RESTinio

Static Public Member Functions | List of all members
restinio::parse_query_traits::details::ampersand_only_as_separators Struct Reference

Helper class to be reused in implementation of query-string parsing traits. More...

`#include <uri_helpers.hpp>`

Inheritance diagram for restinio::parse_query_traits::details::ampersand_only_as_separators:

## Static Public Member Functions
static string_view_t::size_type | find_next_separator (string_view_t where, string_view_t::size_type start_from) noexcept

## Detailed Description

Helper class to be reused in implementation of query-string parsing traits.

Implements `find_next_separator` method that recongnizes only `&` `name=value` separator.

Since
  v.0.6.5

Definition at line 214 of file uri_helpers.hpp.

## Member Function Documentation

## ◆ find_next_separator()

static string_view_t::size_type restinio::parse_query_traits::details::ampersand_only_as_separators::find_next_separator | ( | string_view_t | where,
|  | string_view_t::size_type | start_from
| ) |  |
| inline static noexcept

Definition at line 217 of file uri_helpers.hpp.

The documentation for this struct was generated from the following file:

- restinio/uri_helpers.hpp